### Constructor

# FwupdPlugin EfiHardDriveDevicePath new_from_volume

since: 1.9.3

#### Declaration [src]

    FuEfiHardDriveDevicePath*
    fu_efi_hard_drive_device_path_new_from_volume (
      FuVolume* volume,
      GError** error
    )

#### Description [src]

Creates a new EFI `DEVICE_PATH` for a specific volume.

Available since: 1.9.3

#### Parameters

`volume`

  Type: `FuVolume`

  A `FuVolume`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuEfiHardDriveDevicePath`

A `FuEfiHardDriveDevicePath`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.